Loading...
Searching...
No Matches
Opm::PengRobinsonMixture< Scalar, StaticParameters > Class Template Reference

Implements the Peng-Robinson equation of state for a mixture. More...

`#include <PengRobinsonMixture.hpp>`

## Static Public Member Functions

template<class FluidState, class Params, class LhsEval = typename FluidState::Scalar>
static LhsEval | computeFugacityCoefficient (const FluidState &fs, const Params &params, unsigned phaseIdx, unsigned compIdx)
| Returns the fugacity coefficient of an individual component in the phase.

## Detailed Description

template<class Scalar, class StaticParameters>
class Opm::PengRobinsonMixture< Scalar, StaticParameters >

Implements the Peng-Robinson equation of state for a mixture.

## Member Function Documentation

## computeFugacityCoefficient()

template<class Scalar, class StaticParameters>
template<class FluidState, class Params, class LhsEval = typename FluidState::Scalar>

LhsEval Opm::PengRobinsonMixture< Scalar, StaticParameters >::computeFugacityCoefficient | ( | const FluidState & | fs,
|  | const Params & | params,
|  | unsigned | phaseIdx,
|  | unsigned | compIdx )

inline static

Returns the fugacity coefficient of an individual component in the phase.

The fugacity coefficient of a component is defined as

where is the component's fugacity and is the component's mole fraction.

See:

R. Reid, et al.: The Properties of Gases and Liquids, 4th edition, McGraw-Hill, 1987, pp. 42-44, 143-145

The documentation for this class was generated from the following file:

- opm/material/eos/PengRobinsonMixture.hpp